Bug 145123 - fish protocol dies unexpectedly
Summary: fish protocol dies unexpectedly
Status: REOPENED
Alias: None
Product: kio-extras
Classification: Unclassified
Component: FISH (show other bugs)
Version: unspecified
Platform: Gentoo Packages Linux
: NOR normal
Target Milestone: ---
Assignee: Jörg Walter
URL:
Keywords:
: 146434 146900 152973 158157 158457 168595 205763 (view as bug list)
Depends on:
Blocks:
 
Reported: 2007-05-07 01:32 UTC by Kristjan Ugrin
Modified: 2019-03-17 22:29 UTC (History)
37 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Konqueror Debug Log (9.62 KB, application/octet-stream)
2007-08-14 18:19 UTC, Jan Mette
Details
Konqueror Strace Log (78.83 KB, application/x-gzip)
2007-08-14 18:21 UTC, Jan Mette
Details
ssh stream v2.6.24 (124.31 KB, application/octet-stream)
2008-07-30 15:33 UTC, Toralf Förster
Details
ssh stream v2.6.25 (122.46 KB, application/octet-stream)
2008-07-30 15:34 UTC, Toralf Förster
Details
config file (42.14 KB, text/plain)
2009-02-07 11:42 UTC, Toralf Förster
Details
kio debug output (81.63 KB, text/plain)
2009-02-20 10:38 UTC, Toralf Förster
Details
patched fish.cpp (56.95 KB, text/plain)
2009-02-20 10:40 UTC, Toralf Förster
Details
logon window w/ 3 debug messages (70.23 KB, image/jpeg)
2009-02-20 10:47 UTC, Toralf Förster
Details
crash while copying 2 files (320.36 KB, text/plain)
2009-02-26 13:48 UTC, Toralf Förster
Details
crash while trying to access remote dir (109.65 KB, text/plain)
2009-02-27 09:24 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kristjan Ugrin 2007-05-07 01:32:48 UTC
Version:           kde 3.5.6 (using KDE KDE 3.5.6)
Installed from:    SuSE RPMs
OS:                Linux

fish kio slave doesn't work on opensuse 10.2 64bit. Using kde 3.5.6 with latest updates.
Error:
---
An error occurred while loading fish://user@xxx.xxx.xxx.xxx:
The process for the fish://xxx.xxx.xxx.xxx protocol died unexpectedly.
---
from console I got:
---
kio (KIOConnection): ERROR: Header read failed, errno=104
kio (KIOConnection): ERROR: Header has invalid size (-1)
---
It worked on same computer under suse 10.2 32-bit system. Maybe it's a bug in 64-bit fish kioslave.
Comment 1 Kristjan Ugrin 2007-05-07 01:33:37 UTC
I would like to add that using ssh works.
Comment 2 Carsten Lohrke 2007-05-07 13:01:06 UTC
At Gentoo we recently got a bug report (multiple users confirming) regarding this problem on 64 bit systems, too.

https://bugs.gentoo.org/show_bug.cgi?id=177035
Comment 3 Kristjan Ugrin 2007-05-07 13:04:37 UTC
Thanks for pointing that out, so it seems like kde general problem, not suse 64-bit specific.
I hope it gets fixed before 3.5.7
Comment 4 Philip Rodrigues 2007-05-07 19:32:00 UTC
You can try to get debug output or a backtrace from the slave with the following command:

KDE_FORK_SLAVES=true konqueror

then use fish in the konqueror that appears - the debug output from the fish slave should appear in the konsole.
Comment 5 Kristjan Ugrin 2007-05-07 20:08:29 UTC
Nothing appears in console, the problem is, if I launch konqueror as you said it works, until I try to copy a file from remote computer and then fish dies, but nothing is printed in konsole. So launching it with:
KDE_FORK_SLAVES=true konqueror
works, until you start transfering files (tried with different profiles, same result).
Comment 6 Joe Morris 2007-05-19 16:29:39 UTC
With KDE_FORK_SLAVES=true konqueror in a console, it works for me (openSUSE 10.2 x86_64, KDE 3.5.6 release 85.1), including transferring files.  With jusy konqueror, I get
joe@jmorris:~> konqueror
ASSERT: "!icon.isEmpty()" in ./libkonq/konq_pixmapprovider.cc (81)
ASSERT: "!icon.isEmpty()" in ./libkonq/konq_pixmapprovider.cc (81)
ASSERT: "!icon.isEmpty()" in ./libkonq/konq_pixmapprovider.cc (81)
ASSERT: "!icon.isEmpty()" in ./libkonq/konq_pixmapprovider.cc (81)

and fish protocol died unexpectedly.  I don't know what that variable does, but at least I was able to copy the files I needed to work.
Comment 7 Albert Astals Cid 2007-05-22 22:39:21 UTC
Works here on a 64 bit system, not gentoo of course.
Comment 8 Will Stephenson 2007-05-23 11:57:06 UTC
Works for me too, opensuse 10.2, buildservice RPMs, x86_64.  

Can you give us any steps to reproduce?  Is this only seen when connecting to one machine's sshd or fiwth every machine?
Comment 9 Kristjan Ugrin 2007-05-23 12:45:47 UTC
I have 2 machines, one is mine (opensuse 10.2 x86_64), the other is the one I'm trying to connect to (opensuse 10.2 x86). Currently I'm upgrading software on second machine (the x86 one) to latest kde (3.5.7), mine is already up-to-date. Has anyone tried to connect from x86 to x86_64 machine or vice versa? Maybe here is the catch. I'll do some testing later.
Comment 10 Dan Leinir Turthra Jensen 2007-05-23 12:58:36 UTC
The problem also exists on ArkLinux, so maybe some of the patches applied to Gentoo's packages and ArkLinux' packages are similar and the problem could be figured out that way?
Comment 11 Matt 2007-05-23 16:56:45 UTC
Gentoo x86 32bit here.  Same problems on two machines.

HOWEVER

Once I updated my kernel to 2.6.21-suspend2-r4, is when it breaks.  If I boot back to 2.6.19-suspend2-r3, fish/sftp  works 100%.  I don't know where to start debuging that one (I'm not a code-ist).  So I'm not sure that this bug is *DIRECTLY* due to a KDE problem.

I'm going to post this same finding in a thread over in Gentoo's forums about this finding.  

P.S.
Obviously, I'm using Gentoo's names for these kernels, but the versions themselves are universal.
Comment 12 Kristjan Ugrin 2007-05-23 18:32:53 UTC
@Matt, thanks for the hint, it is because of kernel!
Using kernel 2.6.18 (stock suse) works, with new 2.6.21 it doesn't. Don't know if this is kde issue not being compatible with latest stuff in kernel or kernel guys broke something...

Can you please provide link to thread in gentoo forums, I wanna join.
Comment 13 Joe Morris 2007-05-24 13:12:25 UTC
I also am running a 2.6.21 kernel.  Yet it does work if opened via 
KDE_FORK_SLAVES=true konqueror in a console.  So it must be some strange interaction with the kernel.  Interesting.
Comment 14 Matt 2007-05-24 18:51:30 UTC
kriko:

http://forums.gentoo.org/viewtopic.php?p=4070993

^^^^
Is the thread that is going on about this.  I just checked it again and it seems people are seeing the same thing I noticed (a lower kernel works, .21 doesn't (without Joe Morris' env export which I haven't tried yet).
Comment 15 Will Stephenson 2007-05-24 19:23:31 UTC
Could somebody suffering from this bug please do the following

1. Build with --enable-debug=full or install your distro's debuginfo packages for kdelibs and kdebase
2. In a shell, "export KDE_SLAVE_DEBUG_WAIT=fish"
3. In the same shell, "killall kio_fish"
4. In the same shell, "run kdeinit"
5. Access a fish:/ url that crashes the ioslave
6. In the shell, watch for the message that the slave was started and suspended, and gdb -p <the-pid-of-the-slave> as advised
7. Once the slave crashes, 'bt' in gdb and save this backtrace
8. Exit gdb with 'q'

And paste the backtrace inline here (not as an attachment please).
Comment 16 Lukas Sandström 2007-05-28 16:30:18 UTC
I was unable to get a backtrace from gdb, but I got this output.

It seems that the fish process i killed by signal 29.

kio (Slave): slave failed to connect to application pid=31197 protocol=fish
kio (Slave): slave is slow... pid=31197 t=54
kio_fish: 132: *** Starting fish
kio_fish: 250: fishProtocol::fishProtocol()
kio (KSycoca): Trying to open ksycoca from /var/tmp/kdecache-lukas/ksycoca
kio_fish: 664: setHost lu@rem.se
kio_fish: 1431: @@@@@@@@@ stat fish://lu@rem.se/home/lu
kio_fish: 315: _______ emitting infoMessage(Connecting...)
kio_fish: 317: connecting to: lu@rem.se:0
kio_fish: 725: queueing: cmd=0['FISH'](0), alt=['echo; /bin/sh -c start_fish_server > /dev/null 2>/dev/null; perl .fishsrv.pl 0244d15801f8ad4c0f1c342a63f17f4b 2>/dev/null; perl -e '$|=1; print "### 100 transfer fish server\n"; while(<STDIN>) { last if /^__END__/; $code.=$_; } exit(eval($code));' 2>/dev/null;'], lines=1
kio_fish: 725: queueing: cmd=1['VER 0.0.3 copy append lscount lslinks lsmime exec stat'](0), alt=['echo 'VER 0.0.3 copy append lscount lslinks lsmime exec stat''], lines=1
kio (KIOJob): requestNetwork fish31197
kio_fish: 408: Exec: /usr/bin/ssh Port: 0 User: lu
kioslave: ####### CRASH ###### protocol = fish pid = 31197 signal = 29
/usr/kde/3.5/lib64/libkio.so.4(_ZN3KIO9SlaveBase15sigsegv_handlerEi+0x7f)[0x2b03c8c975cf]
/lib/libc.so.6[0x2b03ccd60940]
/lib/libc.so.6(__select+0x13)[0x2b03ccde9343]
/usr/kde/3.5/lib64/kde3/kio_fish.so[0x2b03cd380f50]
/usr/kde/3.5/lib64/kde3/kio_fish.so[0x2b03cd38188d]
/usr/kde/3.5/lib64/kde3/kio_fish.so[0x2b03cd37f7b4]
/usr/kde/3.5/lib64/libkio.so.4(_ZN3KIO9SlaveBase8dispatchEiRK9QMemArrayIcE+0x402)[0x2b03c8cb4622]
/usr/kde/3.5/lib64/libkio.so.4(_ZN3KIO9SlaveBase12dispatchLoopEv+0x35c)[0x2b03c8cb4bfc]
/usr/kde/3.5/lib64/kde3/kio_fish.so(kdemain+0x171)[0x2b03cd3827c1]
kio_fish [kdeinit] fish /tmp/ksocket-lukas/klauncherzj2z2a.slave-socket /tmp/ksocket-lukas/konquerorTKRhja.slave-socket[0x4072d2]
kio_fish [kdeinit] fish /tmp/ksocket-lukas/klauncherzj2z2a.slave-socket /tmp/ksocket-lukas/konquerorTKRhja.slave-socket[0x407f84]
kio_fish [kdeinit] fish /tmp/ksocket-lukas/klauncherzj2z2a.slave-socket /tmp/ksocket-lukas/konquerorTKRhja.slave-socket[0x408582]
kio_fish [kdeinit] fish /tmp/ksocket-lukas/klauncherzj2z2a.slave-socket /tmp/ksocket-lukas/konquerorTKRhja.slave-socket[0x408d53]
/lib/libc.so.6(__libc_start_main+0xf4)[0x2b03ccd4e374]
kio_fish [kdeinit] fish /tmp/ksocket-lukas/klauncherzj2z2a.slave-socket /tmp/ksocket-lukas/konquerorTKRhja.slave-socket[0x404909]
kio (Slave): slave died pid = 31197
kparts: BrowserRun::slotStatResult : The process for the fish://remote1.tekno.chalmers.se protocol died unexpectedly.
kio (KTrader): KServiceTypeProfile::offers serviceType=text/html genericServiceType=Application
kio (KTrader): KServiceTypeProfile::offers serviceType=text/html genericServiceType=Application
Comment 17 Will Stephenson 2007-05-29 14:57:38 UTC
Please explain what part of getting a backtrace from kio_fish (process 31197 above) went wrong, so we can help.  Also it seems you don't have debugging enabled in your kdelibs and base - could you install debuginfo packages or rebuild with debugging if you are a Gentooist?
Comment 18 Jan Kunzmann 2007-05-29 16:33:53 UTC
If this may be helpful for you: the crash happens in the select() call in line 490 of kio_fish.cpp. I can confirm that it happens when using kernel 2.6.21 (problem doesn't occur in 2.6.20), using gcc 4.1.2 and glibc 2.5 on my 64bit system.
Comment 19 Will Stephenson 2007-05-29 17:07:01 UTC
Do you have a full backtrace for us? :)
Comment 20 Bram Schoenmakers 2007-05-29 23:42:30 UTC
Please refer to http://techbase.kde.org/Contribute/Bugsquad/How_to_create_useful_crash_reports for additional info regarding getting backtraces.
Comment 21 Jan Kunzmann 2007-05-30 04:34:52 UTC
Okay... I tried this for the first time, so please be patient with me :)

I followed the procedure described in #15. I got a lot of these messages:

kio (Slave): slave is slow... pid=9113 t=42
kio (Slave): slave failed to connect to application pid=9113 protocol=fish

I had to press "c" multiple times as some SIGSTOP were issued. Then I got barely the same result as Lukas in #16:

kio (Slave): slave failed to connect to application pid=9113 protocol=fish
kio (Slave): slave is slow... pid=9113 t=62
(gdb) c
Continuing.
kio_fish: 132: *** Starting fish
kio_fish: 252: fishProtocol::fishProtocol()
kio (KSycoca): Trying to open ksycoca from /var/tmp/kdecache-jk/ksycoca
kio_fish: 669: setHost jk@somehost
kio_fish: 1457: @@@@@@@@@ stat fish://jk@somehost
kio_fish: 317: _______ emitting infoMessage(Verbindung wird aufgebaut ...)
kio_fish: 319: connecting to: jk@somehost:0
kio_fish: 730: queueing: cmd=0['FISH'](0), alt=['echo; /bin/sh -c start_fish_server > /dev/null 2>/dev/null; perl .fishsrv.pl abcc4c517321c96aa2184bf291d3dcb7 2>/dev/null; perl -e '$|=1; print "### 100 transfer fish server\n"; while(<STDIN>) { last if /^__END__/; $code.=$_; } exit(eval($code));' 2>/dev/null;'], lines=1
kio_fish: 730: queueing: cmd=1['VER 0.0.3 copy append lscount lslinks lsmime exec stat'](0), alt=['echo 'VER 0.0.3 copy append lscount lslinks lsmime exec stat''], lines=1
kio (KIOJob): requestNetwork fish9113
kio_fish: 410: Exec: /usr/bin/ssh Port: 0 User: jk
kioslave: ####### CRASH ###### protocol = fish pid = 9113 signal = 29
/usr/kde/3.5/lib64/libkio.so.4(_ZN3KIO9SlaveBase15sigsegv_handlerEi+0x7f)[0x2af29ad05adf]
/lib/libc.so.6[0x2af29ede08e0]
/lib/libc.so.6(__select+0x13)[0x2af29ee69623]
/usr/kde/3.5/lib64/kde3/kio_fish.so[0x2af29f372156]
/usr/kde/3.5/lib64/kde3/kio_fish.so[0x2af29f372a9f]
/usr/kde/3.5/lib64/kde3/kio_fish.so[0x2af29f3709a4]
/usr/kde/3.5/lib64/libkio.so.4(_ZN3KIO9SlaveBase8dispatchEiRK9QMemArrayIcE+0x402)[0x2af29ad22e32]
/usr/kde/3.5/lib64/libkio.so.4(_ZN3KIO9SlaveBase12dispatchLoopEv+0x35c)[0x2af29ad2340c]
/usr/kde/3.5/lib64/kde3/kio_fish.so(kdemain+0x189)[0x2af29f373a09]
kio_fish [kdeinit] fish /tmp/ksocket-jk/klauncherwBDRSb.slave-socket /tmp/ksocket-jk/konquerorhENenc.slave-socket[0x4072a2]
kio_fish [kdeinit] fish /tmp/ksocket-jk/klauncherwBDRSb.slave-socket /tmp/ksocket-jk/konquerorhENenc.slave-socket[0x407f54]
kio_fish [kdeinit] fish /tmp/ksocket-jk/klauncherwBDRSb.slave-socket /tmp/ksocket-jk/konquerorhENenc.slave-socket[0x408552]
kio_fish [kdeinit] fish /tmp/ksocket-jk/klauncherwBDRSb.slave-socket /tmp/ksocket-jk/konquerorhENenc.slave-socket[0x408d23]
/lib/libc.so.6(__libc_start_main+0xf4)[0x2af29edce374]
kio_fish [kdeinit] fish /tmp/ksocket-jk/klauncherwBDRSb.slave-socket /tmp/ksocket-jk/konquerorhENenc.slave-socket[0x4048d9]
kio (Slave): slave died pid = 9113
kdeinit: PID 9113 terminated.
kparts: BrowserRun::slotStatResult : Der Prozess für das Protokoll fish://somehost wurde unerwartet beendet.
(gdb) bt
No stack.
(gdb)

Comment 22 Joe Morris 2007-06-03 07:00:23 UTC
I will include my attempt, but I cannot install the dubuginfo packages for base and libs as there are none in the build service, so this may be a waste of your time, for which I apologize in advance.

joe@jmorris:~> export KDE_SLAVE_DEBUG_WAIT=fish
joe@jmorris:~> killall kio_fish
joe@jmorris:~> kdeinit
kdeinit: Shutting down running client.
---------------------------------
It looks like dcopserver is already running. If you are sure
that it is not already running, remove /home/joe/.DCOPserver_jmorris__0
and start dcopserver again.
---------------------------------

Klauncher running in slave-debug mode for slaves of protocol 'fish'
KDE Daemon (kded) already running.
kbuildsycoca running...
Reusing existing ksycoca
kio (KService*): WARNING: The desktop entry file .hidden/dirfilterplugin.desktop has Type=Service but is located under "apps" instead of "services"
kio (KService*): WARNING: Invalid Service : .hidden/dirfilterplugin.desktop
kio (KService*): WARNING: The desktop entry file /opt/kde3/share/applications/kde/kbarcode-label.desktop has Type=MimeType instead of "Application" or "Service"
kio (KService*): WARNING: Invalid Service : /opt/kde3/share/applications/kde/kbarcode-label.desktop
kio (KService*): WARNING: The desktop entry file /opt/kde3/share/applications/kde/kbarcode-label.desktop has Type=MimeType instead of "Application" or "Service"
kio (KService*): WARNING: Invalid Service : /opt/kde3/share/applications/kde/kbarcode-label.desktop
kio (KService*): WARNING: The desktop entry file /opt/kde3/share/applications/kde/kbarcode-label.desktop has Type=MimeType instead of "Application" or "Service"
kio (KService*): WARNING: Invalid Service : /opt/kde3/share/applications/kde/kbarcode-label.desktop
joe@jmorris:~> kdeinit: Suspending process
kdeinit: 'gdb kdeinit 28196' to debug
kdeinit: 'kill -SIGCONT 28196' to continue

joe@jmorris:~> gdb kdeinit 28196
GNU gdb 6.5
Copyright (C) 2006 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "x86_64-suse-linux"...Using host libthread_db library "/lib64/libthread_db.so.1".

Attaching to program: /opt/kde3/bin/kdeinit, process 28196
Reading symbols from /opt/kde3/lib64/libkparts.so.2...done.
Loaded symbols for /opt/kde3/lib64/libkparts.so.2
Reading symbols from /opt/kde3/lib64/libkio.so.4...done.
Loaded symbols for /opt/kde3/lib64/libkio.so.4
Reading symbols from /opt/kde3/lib64/libkdecore.so.4...done.
Loaded symbols for /opt/kde3/lib64/libkdecore.so.4
Reading symbols from /usr/lib/qt3/lib64/libqt-mt.so.3...done.
Loaded symbols for /usr/lib/qt3/lib64/libqt-mt.so.3
Reading symbols from /lib64/libpthread.so.0...done.
[Thread debugging using libthread_db enabled]
[New Thread 47648452354112 (LWP 28196)]
Loaded symbols for /lib64/libpthread.so.0
Reading symbols from /usr/lib64/libX11.so.6...done.
Loaded symbols for /usr/lib64/libX11.so.6
Reading symbols from /usr/lib64/libstdc++.so.6...done.
Loaded symbols for /usr/lib64/libstdc++.so.6
Reading symbols from /lib64/libc.so.6...done.
Loaded symbols for /lib64/libc.so.6
Reading symbols from /opt/kde3/lib64/libkdeui.so.4...done.
Loaded symbols for /opt/kde3/lib64/libkdeui.so.4
Reading symbols from /opt/kde3/lib64/libDCOP.so.4...done.
Loaded symbols for /opt/kde3/lib64/libDCOP.so.4
Reading symbols from /opt/kde3/lib64/libkdesu.so.4...done.
Loaded symbols for /opt/kde3/lib64/libkdesu.so.4
Reading symbols from /opt/kde3/lib64/libkwalletclient.so.1...done.
Loaded symbols for /opt/kde3/lib64/libkwalletclient.so.1
Reading symbols from /lib64/libz.so.1...done.
Loaded symbols for /lib64/libz.so.1
Reading symbols from /usr/lib64/libfam.so.0...done.
Loaded symbols for /usr/lib64/libfam.so.0
Reading symbols from /lib64/libacl.so.1...done.
Loaded symbols for /lib64/libacl.so.1
Reading symbols from /lib64/libattr.so.1...done.
Loaded symbols for /lib64/libattr.so.1
Reading symbols from /usr/lib64/libart_lgpl_2.so.2...done.
Loaded symbols for /usr/lib64/libart_lgpl_2.so.2
Reading symbols from /usr/lib64/libidn.so.11...done.
Loaded symbols for /usr/lib64/libidn.so.11
Reading symbols from /opt/kde3/lib64/libkdefx.so.4...done.
Loaded symbols for /opt/kde3/lib64/libkdefx.so.4
Reading symbols from /usr/lib64/libSM.so.6...done.
Loaded symbols for /usr/lib64/libSM.so.6
Reading symbols from /usr/lib64/libICE.so.6...done.
Loaded symbols for /usr/lib64/libICE.so.6
Reading symbols from /lib64/libdl.so.2...done.
Loaded symbols for /lib64/libdl.so.2
Reading symbols from /lib64/libm.so.6...done.
Loaded symbols for /lib64/libm.so.6
Reading symbols from /usr/lib64/libpng12.so.0...done.
Loaded symbols for /usr/lib64/libpng12.so.0
Reading symbols from /usr/lib64/libXi.so.6...done.
Loaded symbols for /usr/lib64/libXi.so.6
Reading symbols from /usr/lib64/libXrender.so.1...done.
Loaded symbols for /usr/lib64/libXrender.so.1
Reading symbols from /usr/lib64/libXrandr.so.2...done.
Loaded symbols for /usr/lib64/libXrandr.so.2
Reading symbols from /usr/lib64/libXcursor.so.1...done.
Loaded symbols for /usr/lib64/libXcursor.so.1
Reading symbols from /usr/lib64/libXinerama.so.1...done.
Loaded symbols for /usr/lib64/libXinerama.so.1
Reading symbols from /usr/lib64/libXft.so.2...done.
Loaded symbols for /usr/lib64/libXft.so.2
Reading symbols from /usr/lib64/libfreetype.so.6...done.
Loaded symbols for /usr/lib64/libfreetype.so.6
Reading symbols from /usr/lib64/libfontconfig.so.1...done.
Loaded symbols for /usr/lib64/libfontconfig.so.1
Reading symbols from /usr/lib64/libXext.so.6...done.
Loaded symbols for /usr/lib64/libXext.so.6
Reading symbols from /lib64/libgcc_s.so.1...done.
Loaded symbols for /lib64/libgcc_s.so.1
Reading symbols from /lib64/ld-linux-x86-64.so.2...done.
Loaded symbols for /lib64/ld-linux-x86-64.so.2
Reading symbols from /usr/lib64/libXau.so.6...done.
Loaded symbols for /usr/lib64/libXau.so.6
Reading symbols from /usr/lib64/libXdmcp.so.6...done.
Loaded symbols for /usr/lib64/libXdmcp.so.6
Reading symbols from /usr/lib64/libXfixes.so.3...done.
Loaded symbols for /usr/lib64/libXfixes.so.3
Reading symbols from /usr/lib64/libexpat.so.1...done.
Loaded symbols for /usr/lib64/libexpat.so.1
Reading symbols from /opt/kde3/lib64/libkonq.so.4...done.
Loaded symbols for /opt/kde3/lib64/libkonq.so.4
Reading symbols from /opt/kde3/lib64/kde3/kio_fish.so...done.
Loaded symbols for /opt/kde3/lib64/kde3/kio_fish.so
Reading symbols from /lib64/libutil.so.1...done.
Loaded symbols for /lib64/libutil.so.1
0x00002b5600b70827 in kill () from /lib64/libc.so.6
(gdb) bt
#0  0x00002b5600b70827 in kill () from /lib64/libc.so.6
#1  0x0000000000407491 in launch ()
#2  0x0000000000407dd4 in handle_launcher_request ()
#3  0x0000000000408195 in handle_requests ()
#4  0x00000000004091ea in main ()
(gdb) q
The program is running.  Quit anyway (and detach it)? (y or n) y
Detaching from program: /opt/kde3/bin/kdeinit, process 28196

Pertinent side info:
joe@jmorris:~> uname -a
Linux jmorris 2.6.21-87-default #1 SMP Wed May 2 15:26:52 UTC 2007 x86_64 x86_64 x86_64 GNU/Linux
joe@jmorris:~> cat /etc/SuSE-release
openSUSE 10.2 (X86-64)
VERSION = 10.2
joe@jmorris:~> locate kio_fish
/opt/kde3/lib/kde3/kio_fish.la
/opt/kde3/lib/kde3/kio_fish.so
/opt/kde3/lib64/kde3/kio_fish.la
/opt/kde3/lib64/kde3/kio_fish.so
joe@jmorris:~> rpm -qf /opt/kde3/lib64/kde3/kio_fish.so
kdebase3-3.5.7-12.1
Comment 23 Karl Toffel 2007-06-10 17:47:35 UTC
*** This bug has been confirmed by popular vote. ***
Comment 24 Massimiliano Hofer 2007-06-11 16:16:32 UTC
I have another strange interaction.
I have 2 32 bit notebooks. One slightly faster than the other.
They are both clones, but only the faster one has the problem (with 2.6.21).
Just today I added some RAM to a 64 bit dual core machine and this caused the problem on this machine too (nothing else changed).
Comment 25 Joe Morris 2007-06-19 12:32:11 UTC
Well, I have been keeping current with new builds to see if there is any progress.  Now I am running 3.5.7 release 35.1, and there has been digression with this problem.  Now, the variable KDE_FORK_SLAVES=true does NOT work anymore.  Now, there is no way to use the fish protocol on my system (unless I downgrade the kernel I guess.)
joe@jmorris:~> rpm -qf /opt/kde3/lib64/kde3/kio_fish.so
kdebase3-3.5.7-23.2
Comment 26 Tommi Tervo 2007-06-21 08:26:39 UTC
*** Bug 146900 has been marked as a duplicate of this bug. ***
Comment 27 Matt 2007-06-21 19:53:10 UTC
I'm running 3.5.7 on a 2.6.21 kernel now (Gentoo).  Fish is working for me again, sort of.  It will not connect EVERY time I try.  A simple refresh (or two) and it will connect to a remote machine.  The "remote" machine is a laptop in the Living Room and my main workstation is about 12 feet away through one wall over a 802.11b link.  I admit that I haven't tested fish over the 10/100 LAN connection yet, so I can't comment on that right this minute.

I don't know if the wireless link itself is causing the "timeout" in connecting and thus the need for a refresh or not.  I seriously doubt it, though.  There's only one wall, strength meter is near maxed out, and throughput, once connected, is as expected (it's an older building that had an addition put on and the outside wall is now an inside wall so it's about 1.5 feet thick with brick and *real* plaster :) ).
Comment 28 Zorro 2007-06-26 10:32:16 UTC
Running KDE 3.5.6 on 2.6.21 kernel in GobolLinux. I can confirm the problem is worsened by speed: over 10 Mbit half-duplex LAN connection, I can hit F5 in konqueror until the connection works. Over 100/1000 Mbit LAN connections, I can refresh til the cows come come, it still won't work. Remote sites over DSL will work if refreshed a couple of times.

Also please note, I get the same behavior for sftp and https as do some people in the gentoo thread (see firex's post) http://forums.gentoo.org/viewtopic-t-556818-postdays-0-postorder-asc-start-0.html
I don't think people notice it as much with sftp and https because they're more likely to be using it over a slow Internet connection, but the problem is there. I'm not having any problems with plain ssh. This would seem to indicate a KDE / SSL / kernel interaction problem, not just a fish problem. 

other distro bug reports
http://www.mail-archive.com/debian-bugs-dist%40lists.debian.org/msg354203.html
http://archives.mandrivalinux.com/cooker/2007-06/msg03911.php

Comment 29 Zorro 2007-06-26 10:43:46 UTC
Forgot to mention, I'm on a Core2 Duo running all 32-bit software, so the problem isn't just limited to AMD64 as some have hypothesized.

Comment 30 Robin Stocker 2007-07-04 01:11:34 UTC
I also have problems with fish on amd64, running a 2.6.21 kernel. Here's the backtrace I could get. If you want, I can rebuild with debug symbols enabled. Hope it helps.

(gdb) bt
#0  0x00002b33ddfe8623 in select () from /lib/libc.so.6
#1  0x00002b33da1a538d in KIO::SlaveBase::dispatchLoop ()
   from /usr/kde/3.5/lib64/libkio.so.4
#2  0x00002b33de18e467 in kdemain () from /usr/kde/3.5/lib64/kde3/kio_http.so
#3  0x0000000000400c2d in ?? ()
#4  0x00002b33ddf4d374 in __libc_start_main () from /lib/libc.so.6
#5  0x0000000000400ac9 in ?? ()
#6  0x00007fffd0bf9ae8 in ?? ()
#7  0x0000000000000000 in ?? ()
Comment 31 Rodrigo Fernandes 2007-07-10 13:01:55 UTC
Same problem here, fish dies, but after refreshing (F5) a few times it works. No diference between 100Mbit 1Gb or wireless.

Running Archlinux with a 2.6.21 kernel (ARCH)
Comment 32 dexen 2007-07-10 13:10:45 UTC
Seems the problem persists with 2.6.22 kernel
Comment 33 Raúl 2007-07-11 12:24:32 UTC
Well, this problem hadn't happened to me, but as I'm reading the comments it is possible that it's a libc6 bug. What do you think?

I'm using Debian unstable. KDE 3.5.7, 2.6.21, libc6 2.5-11 on a PIV machine.
Comment 34 }ra!n 2007-07-24 18:33:45 UTC
Debian testing - 2.6.21, scp through konqueror does not work, always tells invalid username or password..
In konsole it works fine.

KDE 3.5.7
libc6 2.6-2
Comment 35 Joe Morris 2007-07-28 08:28:11 UTC
Just for information, I am running openSUSE 10.2 x86_64, and I recently decided to return to the latest official kernel, 2.6.18.8-0.5-default, and fish now works again.  With a 2.6.22 kernel it worked only with KDE_FORK_SLAVES=true, but the same kde packages work with only a change in the kernel (from 2.6.22 back to 2.6.18.8).  So I am not sure if it is a kernel bug or kio_fish.  FYI.
Comment 36 Jan Mette 2007-08-14 18:19:14 UTC
Created attachment 21388 [details]
Konqueror Debug Log
Comment 37 Jan Mette 2007-08-14 18:21:23 UTC
Created attachment 21389 [details]
Konqueror Strace Log
Comment 38 Jan Mette 2007-08-14 18:26:16 UTC
Hi there,

one of our users has rebuilt kdebase and kdelibs with full debug enabled and sent us the logs (thanks big_gie for your time and efforts). I have attached them here, maybe they are useful.

This issue seems to happen only one some installations (i686 and x86_64) and i never experienced it so far, so i cant say much more about it.
Comment 39 Frans Pop 2007-08-15 15:04:50 UTC
I can confirm this issue on Debian unstable with 2.6.23-rc2 using IPv6.
If I reboot the same box with a 2.6.18 kernel, fish:// works fine.
Comment 40 Frans Pop 2007-08-15 19:32:25 UTC
Using git-bisect on the ./net directory I've traced the origin of this issue to the following commit for the kernel (between 2.6.20 and 2.6.21-rc1):
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=6b174337e5126de834a971d3edc3681bbfa45e2c

commit 6b174337e5126de834a971d3edc3681bbfa45e2c
Author: Chuck Lever <chuck.lever@oracle.com>
Date:   Mon Feb 12 00:53:28 2007 -0800
    [PATCH] knfsd: SUNRPC: update internal API: separate pmap register and temp sockets

Hope this helps.
Comment 41 Frans Pop 2007-08-15 22:44:06 UTC
My assumption that the regression would be in the ./net code of the kernel proved completely wrong. Please ignore my previous post!

The real culprit is this commit, which is part of a series:
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=ab521dc0f8e117fd808d3e425216864d60390500

commit ab521dc0f8e117fd808d3e425216864d60390500
Author: Eric W. Biederman <ebiederm@xmission.com>
Date:   Mon Feb 12 00:53:00 2007 -0800
    [PATCH] tty: update the tty layer to work with struct pid

I am sure that this is really the one. Sorry for the confusion.
Comment 42 Frans Pop 2007-08-16 10:47:01 UTC
> The real culprit is this commit, which is part of a series: 

I've contacted the author of that kernel patch series. A CC of my mail is available at:
http://lkml.org/lkml/2007/8/16/28
Comment 43 Krzysztof Kwiatkowski 2007-08-21 11:58:56 UTC
for me helps "KDE_FORK_SLAVES=true" If set to "true" fish works ok.

ArchLinux Current and KDE 3.5.7

Comment 44 Marian Kyral 2007-08-21 12:20:57 UTC
Not to me :-(

[12:15:31 marian@nbmkyral ~]$ KDE_FORK_SLAVES=true krusader
kioslave: ####### CRASH ###### protocol = fish pid = 13879 signal = 29

[12:16:00 marian@nbmkyral ~]$ uname -a
Linux nbmkyral 2.6.22-gentoo-r4 #1 SMP Tue Aug 21 05:24:53 CEST 2007 x86_64 Intel(R) Core(TM)2 CPU T5500 @ 1.66GHz GenuineIntel GNU/Linux

[12:17:40 marian@nbmkyral ~]$ krusader -v
Qt: 3.3.8
KDE: 3.5.7
Krusader: 1.80.0 "Final 3rd Stone"
Comment 45 Xavier Brochard 2007-08-30 17:35:57 UTC
works for me with 
$ KDE_FORK_SLAVES=true konqueror
Debian unstable 2.6.22-1-amd64
Comment 46 Jiri Hofman 2007-09-01 08:59:05 UTC
I have the same problem with Gentoo, KDE: 3.5.7, gcc: 4.1.2, Linux kernel: 2.6.22-gentoo-r2

$ KDE_FORK_SLAVES=true konqueror 
works fine (I can connect).
Comment 47 Marian Kyral 2007-09-01 22:35:04 UTC
Strange, it works again and without the KDE_FORK_SLAVES hack.

I'm not sure, what solved it. I updated to kernel 2.6.22-gentoo-r5 and switched to gcc-4.2.0 at the same time. So all packages were rebuild. 
Comment 48 Jeremy Sonander 2007-09-18 18:01:16 UTC
I also have this problem on 64 bit Gentoo with the 2.6.22 kernel and glibc version 2.5. 

I tried adding 
export KDE_FORK_SLAVES=true

to my login scripts, and fish:// in konqueror then works. However when I click a html link in KMail, KMail locks up :-( 

I have removed the KDE_FORK_SLAVES=true again and kmail is back working but fish in konqueror is back broken. 
Comment 49 Jérôme Blanc 2007-09-25 22:16:23 UTC
I can confirm the problem on Mandriva 2008 RC2 system. It has a 2.6.22.7-desktop-1mdv kernel and uses the KDE version kdebase-3.5.7-32mdv2008.0.x86_64.


However, if I do $ KDE_FORK_SLAVES=true konqueror from a console, it then works fine.
Comment 50 Christian Schneider 2007-10-01 23:04:15 UTC
I also suffered from this problem (x86_64, Linux 2.6.22.1, KDE 3.5.7). Furthermore, X11 forwarding with SSH did not work. I found a solution for both problems here: http://ubuntuforums.org/showthread.php?t=40228

SSH seems to hard-code the paths to some binaries. My X is installed into /usr/X11R7, not /usr/X11R6, so xauth was not found at its default location. A simple symlink solved all issues for me:

ln -s X11R7 /usr/X11R6

Hope that helps some others of you guys.
Comment 51 Christian Schneider 2007-10-02 22:19:14 UTC
Today I realized that my success from yesterday (#50) was partly owed to a different kernel version than the one I claimed to use. So it seems I was in fact suffering from two problems.

Summing it up, I just can confirm the relationship between the problem with the fish protocol and the running kernel version. I have testet all kernel versions currently installed on my system and the results are:

2.6.20.6   works
2.6.21     doesn't work
2.6.21.4   doesn't work
2.6.22.1   doesn't work
2.6.22.9   doesn't work
2.6.23-rc9 doesn't work

Sorry for the initially wrong message.
Comment 52 t_kleinen 2007-10-13 13:24:46 UTC
I have the same fish:// problems as described above.

Today I tried it again and exchanged the fish:// by sftp:// 
Surprise, surprise: It worked! So far I had always thought that sftp connections were done by the fish ioslave anyway, but this seems to be a workaround.

Hope this helps.
Comment 53 Giovanni Venturi 2007-10-14 00:11:07 UTC
I've got the same problem on Slackware 12. With KDE 3.5.8 compiled from SVN today.

slacky@pavilion:~> KDE_FORK_SLAVES=true konqueror
kio (KSycoca): Trying to open ksycoca from /var/tmp/kdecache-slacky/ksycoca
konqueror: void KonqMisc::createBrowserWindowFromProfile()
konqueror: path=/opt/kde35/share/apps/konqueror/profiles/webbrowsing,filename=webbrowsing,url=
kio (KTrader): query for Browser/View : returning 33 offers
libkonq: ## loaded: 500 entries.
kdecore (KConfigSkeleton): Creating KConfigSkeleton (0x810c690)
kdecore (KConfigSkeleton): KConfigSkeleton::readConfig()
konqueror: KonqMainWindow::enableAllActions false
kparts: found KParts Plugin : /opt/kde35/share/apps/konqueror/kpartplugins/searchbar.rc
kparts: load plugin searchbar
kio (KTrader): query for KURIFilter/Plugin : returning 4 offers
kurifilter (plugins): (27348) Keywords Engine: Loading config...
kurifilter (plugins): (27348) Keyword Delimiter: :
kurifilter (plugins): (27348) Default Search Engine:
kurifilter (plugins): (27348) Web Shortcuts Enabled: true
kurifilter (plugins): (27348) Verbose: false
kio (KTrader): query for SearchProvider : returning 1 offers
kurifilter (plugins): (27348) user query = 'some keyword'
kurifilter (plugins): (27348) query definition = 'http://www.google.it/search?q=\{@}&ie=UTF-8&oe=UTF-8'
kurifilter (plugins): (27348) Generating substitution map:
kurifilter (plugins): (27348)   map['0'] = 'some keyword'
kurifilter (plugins): (27348)   map['1'] = 'some'
kurifilter (plugins): (27348)   map['2'] = 'keyword'
kurifilter (plugins): (27348) Substitute references:
kurifilter (plugins): (27348)   reference list = '@'
kurifilter (plugins): (27348)   newurl = 'http://www.google.it/search?q=\@&ie=UTF-8&oe=UTF-8'
kurifilter (plugins): (27348)     rest = 'some keyword'
kurifilter (plugins): (27348) substituted query = 'http://www.google.it/search?q=some+keyword&ie=UTF-8&oe=UTF-8'
kparts: MainWindow::createGUI, part=(nil)
kparts: found KParts Plugin : /opt/kde35/share/apps/konqueror/kpartplugins/searchbar.rc
konqueror: KonqViewManager::clear
konqueror: Trying to create view for "KonqAboutPage"
kio (KTrader): query for KonqAboutPage, KParts/ReadOnlyPart : returning 1 offers
konqueror: Found requested service konq_aboutpage
konqueror: Trying to open lib for requested service konq_aboutpage
konqueror: KonqViewManager::setupView passiveMode=false
konqueror: KonqView::switchView
kparts: found KParts Plugin : /opt/kde35/share/apps/khtml/kpartplugins/akregator_konqfeedicon.rc
kparts: found KParts Plugin : /opt/kde35/share/apps/khtml/kpartplugins/autorefresh.rc
kparts: found KParts Plugin : /opt/kde35/share/apps/khtml/kpartplugins/crashesplugin.rc
kparts: found KParts Plugin : /opt/kde35/share/apps/khtml/kpartplugins/kget_plug_in.rc
kparts: found KParts Plugin : /opt/kde35/share/apps/khtml/kpartplugins/khtmlkttsd.rc
kparts: found KParts Plugin : /opt/kde35/share/apps/khtml/kpartplugins/khtmlsettingsplugin.rc
kparts: found KParts Plugin : /opt/kde35/share/apps/khtml/kpartplugins/mf_konqmficon.rc
kparts: found KParts Plugin : /opt/kde35/share/apps/khtml/kpartplugins/minitoolsplugin.rc
kparts: found KParts Plugin : /opt/kde35/share/apps/khtml/kpartplugins/plugin_babelfish.rc
kparts: found KParts Plugin : /opt/kde35/share/apps/khtml/kpartplugins/plugin_domtreeviewer.rc
kparts: found KParts Plugin : /opt/kde35/share/apps/khtml/kpartplugins/plugin_rellinks.rc
kparts: found KParts Plugin : /opt/kde35/share/apps/khtml/kpartplugins/plugin_validators.rc
kparts: found KParts Plugin : /opt/kde35/share/apps/khtml/kpartplugins/plugin_webarchiver.rc
kparts: found KParts Plugin : /opt/kde35/share/apps/khtml/kpartplugins/uachangerplugin.rc
kparts: load plugin konqfeedicon
kparts: load plugin khtml_kget
kparts: load plugin khtmlkttsdplugin
konqueror: KHTMLPLuginKTTSD::KHTMLPluginKTTSD: KTrader did not find KTTSD.
kparts: load plugin khtmlsettingsplugin
kparts: load plugin Minitools
kparts: load plugin babelfish
kparts: load plugin webarchiver
kparts: load plugin UserAgentChanger
konqueror: KonqMainWindow::insertChildView 0x82be508
konqueror: KonqMainWindow::openView KonqAboutPage about:konqueror 0x82be508 req:[]
konqueror: changeViewMode: serviceType is KonqAboutPage serviceName is konq_aboutpage current service name is konq_aboutpage
konqueror: Switching view modes...
konqueror: Trying to create view for "KonqAboutPage"
kio (KTrader): query for KonqAboutPage, KParts/ReadOnlyPart : returning 1 offers
konqueror: Found requested service konq_aboutpage
konqueror: Trying to open lib for requested service konq_aboutpage
konqueror: KonqView::changeViewMode. Reusing service. Service type set to KonqAboutPage
kparts: 0x80f0d98 emitting activePartChanged 0x82beb50
konqueror: KonqView::openURL url=about:konqueror locationBarURL=
libkonq: ## addToHistory: about:konqueror Typed URL: , Title:
konqueror: KonqMainWindow::openView ok=true bOthersFollowed=false returning true
konqueror: KonqMainWindow::enableAllActions true
konqueror: KonqMainWindow::viewCountChanged
konqueror: KonqMainWindow::slotPartActivated 0x82beb50 khtml
konqueror: KonqMainWindow::slotPartActivated: New current view 0x82be508
kparts: MainWindow::createGUI, part=0x82beb50 KonqAboutPage
konqueror: KonqMainWindow::setLocationBarURL: url =
konqueror: main() -> no args
kio (bookmarks): KBookmarkManager::toolbar begin
kio (bookmarks): KBookmarkManager::toolbar trying cache
kio (Slave): kioslave, /opt/kde35/lib/kde3/kio_file.la, file, , /tmp/ksocket-slacky/konqueroranvBBb.slave-socket
kio (Slave): kioslave, /opt/kde35/lib/kde3/kio_file.la, file, , /tmp/ksocket-slacky/konqueror3QjYHb.slave-socket
kio (Slave): kioslave, /opt/kde35/lib/kde3/kio_file.la, file, , /tmp/ksocket-slacky/konquerorfHZMfa.slave-socket
kio (Slave): kioslave, /opt/kde35/lib/kde3/kio_file.la, file, , /tmp/ksocket-slacky/konquerorFbZQhc.slave-socket
kio_file: Starting 27349
kio (KSycoca): Trying to open ksycoca from /var/tmp/kdecache-slacky/ksycoca
kio_file: Starting 27350
kio (KSycoca): Trying to open ksycoca from /var/tmp/kdecache-slacky/ksycoca
kio_file: Starting 27351
kio (KSycoca): Trying to open ksycoca from /var/tmp/kdecache-slacky/ksycoca
kio_file: Starting 27352
kio (KSycoca): Trying to open ksycoca from /var/tmp/kdecache-slacky/ksycoca
libkonq: ## addToHistory: about:konqueror Typed URL: , Title: Conquista il tuo desktop!
konqueror: url fish://userid@server filtered into fish://userid@server
konqueror: KonqMainWindow::openURL : url = 'fish://userid@server'  serviceType='' req=[typedURL=fish://userid@server newTabInFront] view=(nil)
konqueror: trying openView for fish://userid@server (serviceType )
konqueror: Creating new konqrun for fish://userid@server req.typedURL=fish://userid@server
kio (KIOJob): stat fish://userid@server
kio (Slave): kioslave, /opt/kde35/lib/kde3/kio_fish.la, fish, , /tmp/ksocket-slacky/konqueroru8K5Ga.slave-socket
kio_fish: 132: *** Starting fish
kio_fish: 252: fishProtocol::fishProtocol()
kio (KSycoca): Trying to open ksycoca from /var/tmp/kdecache-slacky/ksycoca
kio_fish: 669: setHost userid@server
kio_fish: 1457: @@@@@@@@@ stat fish://userid@server
kio_fish: 317: _______ emitting infoMessage(Connessione...)
kio_fish: 319: connecting to: userid@server:0
kio_fish: 730: queueing: cmd=0['FISH'](0), alt=['echo; /bin/sh -c start_fish_server > /dev/null 2>/dev/null; perl .fishsrv.pl abcc4c517321c96aa2184bf291d3dcb7 2>/dev/null; perl -e '$|=1; print "### 100 transfer fish server\n"; while(<STDIN>) { last if /^__END__/; $code.=$_; } exit(eval($code));' 2>/dev/null;'], lines=1
kio_fish: 730: queueing: cmd=1['VER 0.0.3 copy append lscount lslinks lsmime exec stat'](0), alt=['echo 'VER 0.0.3 copy append lscount lslinks lsmime exec stat''], lines=1
kio (KIOJob): requestNetwork fish27353
kio_fish: 410: Exec: /usr/bin/ssh Port: 0 User: userid
kioslave: ####### CRASH ###### protocol = fish pid = 27353 signal = 29
/opt/kde35/lib/libkio.so.4(_ZN3KIO9SlaveBase15sigsegv_handlerEi+0xdc)[0xb7cefb2c]
[0x1bd7]
kio (Slave): slave died pid = 27353
kparts: BrowserRun::slotStatResult : Il processo per il protocollo fish://server è morto inaspettatamente.
konqueror: KonqRun::handleError error:Il processo per il protocollo fish://server è morto inaspettatamente.
konqueror: KonqMainWindow::openView text/html error:/?error=43&errText=fish%3A//server#fish://userid@server 0x82be508 req:[typedURL=fish://userid@server newTabInFront forceAutoEmbed]
konqueror: changeViewMode: serviceType is text/html serviceName is  current service name is konq_aboutpage
konqueror: Switching view modes...
konqueror: Trying to create view for "text/html"
kio (KTrader): query for text/html, Application : returning 3 offers
kio (KTrader): query for text/html, KParts/ReadOnlyPart : returning 3 offers
konqueror: khtml : X-KDE-BrowserView-AllowAsDefault is valid : false
konqueror: KonqView::switchView
kparts: found KParts Plugin : /opt/kde35/share/apps/khtml/kpartplugins/akregator_konqfeedicon.rc
kparts: found KParts Plugin : /opt/kde35/share/apps/khtml/kpartplugins/autorefresh.rc
kparts: found KParts Plugin : /opt/kde35/share/apps/khtml/kpartplugins/crashesplugin.rc
kparts: found KParts Plugin : /opt/kde35/share/apps/khtml/kpartplugins/kget_plug_in.rc
kparts: found KParts Plugin : /opt/kde35/share/apps/khtml/kpartplugins/khtmlkttsd.rc
kparts: found KParts Plugin : /opt/kde35/share/apps/khtml/kpartplugins/khtmlsettingsplugin.rc
kparts: found KParts Plugin : /opt/kde35/share/apps/khtml/kpartplugins/mf_konqmficon.rc
kparts: found KParts Plugin : /opt/kde35/share/apps/khtml/kpartplugins/minitoolsplugin.rc
kparts: found KParts Plugin : /opt/kde35/share/apps/khtml/kpartplugins/plugin_babelfish.rc
kparts: found KParts Plugin : /opt/kde35/share/apps/khtml/kpartplugins/plugin_domtreeviewer.rc
kparts: found KParts Plugin : /opt/kde35/share/apps/khtml/kpartplugins/plugin_rellinks.rc
kparts: found KParts Plugin : /opt/kde35/share/apps/khtml/kpartplugins/plugin_validators.rc
kparts: found KParts Plugin : /opt/kde35/share/apps/khtml/kpartplugins/plugin_webarchiver.rc
kparts: found KParts Plugin : /opt/kde35/share/apps/khtml/kpartplugins/uachangerplugin.rc
kparts: load plugin konqfeedicon
kparts: load plugin khtml_kget
kparts: load plugin khtmlkttsdplugin
konqueror: KHTMLPLuginKTTSD::KHTMLPluginKTTSD: KTrader did not find KTTSD.
kparts: load plugin khtmlsettingsplugin
kparts: load plugin Minitools
kparts: load plugin babelfish
kparts: load plugin webarchiver
kparts: load plugin UserAgentChanger
konqueror: KonqMainWindow::slotPartChanged
konqueror: KonqMainWindow::setLocationBarURL: url = fish://userid@server
kparts: 0x80f0d98 emitting activePartChanged 0x84e2fa0
konqueror: KonqMainWindow::slotPartActivated 0x84e2fa0 khtml
konqueror: KonqMainWindow::slotPartActivated: New current view 0x82be508
kparts: MainWindow::createGUI, part=0x84e2fa0 KHTMLPart
kparts: deactivating GUI for 0x82beb50 KonqAboutPage
konqueror: KonqMainWindow::setLocationBarURL: url = fish://userid@server
kparts: 0x83146d8 emitting activePartChanged (nil)
kparts: Part::~Part 0x82beb50
kparts: deleting widget [KHTMLView pointer (0x82d44d0) to widget view widget, geometry=1020x489+0+0] view widget
konqueror: KonqView::openURL url=error:/?error=43&errText=fish%3A//server#fish://userid@server locationBarURL=error:/?error=43&errText=fish%3A//server#fish://userid@server
konqueror: KonqMainWindow::setLocationBarURL: url = error:/?error=43&errText=fish%3A//server#fish://userid@server
ASSERT: "!icon.isEmpty()" in konq_pixmapprovider.cc (81)
ASSERT: "!icon.isEmpty()" in konq_pixmapprovider.cc (81)
ASSERT: "!icon.isEmpty()" in konq_pixmapprovider.cc (81)
ASSERT: "!icon.isEmpty()" in konq_pixmapprovider.cc (81)
khtml (part): KHTMLPart(0x84e2fa0)::openURL error:/?error=43&errText=fish%3A//server#fish://userid@server
konqueror: KonqMainWindow::setLocationBarURL: url = fish://userid@server
khtml (part): KHTMLPart::htmlError errorCode=43 text=fish://server
konqueror: KonqMainWindow::setCaption(Errore durante il caricamento di fish://userid@server)
khtml (part): saveState this=0x84e2fa0 '' saving URL fish://userid@server
libkonq: ## addToHistory: fish://userid@server Typed URL: fish://userid@server, Title: Errore durante il caricamento di fish://userid@server
khtml (part): saveState this=0x84e2fa0 '' saving URL fish://userid@server
libkonq: ## addToHistory: error:/?error=43&errText=fish%3A//server#fish://userid@server Typed URL: error:/?error=43&errText=fish%3A//server#fish://userid@server, Title:
konqueror: KonqMainWindow::openView ok=true bOthersFollowed=false returning true
khtml (part): saveState this=0x84e2fa0 '' saving URL fish://userid@server
libkonq: ## addToHistory: fish://userid@server Typed URL: fish://userid@server, Title: Errore durante il caricamento di fish://userid@server
konqueror: KonqMainWindow::slotRunFinished()
Comment 54 Jeremy Sonander 2007-10-14 17:29:28 UTC
The sftp:// trick works for me to.
Nice one!
Comment 55 Petr Kovács 2007-10-16 20:50:17 UTC
I have noticed this bug (https protocol) after last emerge -avuDN world on my Gentoo. Among the updated packages was openssl, so I think it might be causing the problem. The old (trouble free) version was openssl-0.9.8e-r3 and the new (troubleshooting) version is openssl-0.9.8f. My KDE is 3.5.7, I am using Konqueror. Hope this might help...
Comment 56 Tommi Tervo 2007-10-17 08:33:58 UTC
*** Bug 146434 has been marked as a duplicate of this bug. ***
Comment 57 Scott 2007-11-13 13:57:26 UTC
I can confirm it in Mandriva 2008 i586 (KDE 3.5.7).
Comment 58 Nicola from Italy 2007-11-26 15:01:22 UTC
Confirmed in Mandriva 2008 i586/i686 with MIB repositories (but openssh is installed by the main official repositories).
Comment 59 Tommi Tervo 2007-11-27 10:36:13 UTC
*** Bug 152973 has been marked as a duplicate of this bug. ***
Comment 60 heikki 2007-12-05 23:25:25 UTC
For what it is worth, I can confirm this bug on AMD-64, Debian Lenny, kernel 2.6.22-3-amd64. If I boot to the old kernel I got with Etch, 2.6.18.dfsg.1-13etch4, fish works all right.

Didn't get the sftp protocol to work at all.

Comment 61 Brian Knotts 2007-12-09 22:05:26 UTC
I have also expierenced this same bug on Debian Lenny amd64.

kioslave: ####### CRASH ###### protocol = fish pid = 3707 signal = 29
ASSERT: "!icon.isEmpty()" in /tmp/buildd/kdebase-3.5.7.dfsg.1/./libkonq/konq_pixmapprovider.cc (81)
ASSERT: "!icon.isEmpty()" in /tmp/buildd/kdebase-3.5.7.dfsg.1/./libkonq/konq_pixmapprovider.cc (81)
ASSERT: "!icon.isEmpty()" in /tmp/buildd/kdebase-3.5.7.dfsg.1/./libkonq/konq_pixmapprovider.cc (81)
ASSERT: "!icon.isEmpty()" in /tmp/buildd/kdebase-3.5.7.dfsg.1/./libkonq/konq_pixmapprovider.cc (81)
ASSERT: "!icon.isEmpty()" in /tmp/buildd/kdebase-3.5.7.dfsg.1/./libkonq/konq_pixmapprovider.cc (81)
ASSERT: "!icon.isEmpty()" in /tmp/buildd/kdebase-3.5.7.dfsg.1/./libkonq/konq_pixmapprovider.cc (81)
Comment 62 florian 2007-12-10 10:23:21 UTC
now works again under Arch. (kernel 2.6.23.9)
Comment 63 florian 2007-12-10 10:30:29 UTC
kernel 2.6.23.8 works too. (again Arch) and this is a 32bit system:
$ uname -a
Linux bagheera 2.6.23-ARCH #1 SMP PREEMPT Sun Nov 18 07:43:05 UTC 2007 i686 Intel(R) Core(TM)2 CPU         T7200  @ 2.00GHz GenuineIntel GNU/Linux
Comment 64 Victor Tramp 2007-12-10 17:57:48 UTC
kde@florian.loitsch.com wrote:
[bugs.kde.org quoted mail]
it's always worked on 32-bit systems, it's 64-bit systems that don't
work. =(
Comment 65 florian 2007-12-10 18:06:21 UTC
some weeks ago it did not work on my 32bit system either.
Comment 66 Raúl 2007-12-20 21:40:20 UTC
amd64 here, with kernel 2.6.24rc, Debian sid. It shouldn't be news that it's happenning here as well, but I got this hopefully better backtrace:

#0  0x00002b5499f34467 in kill () from /lib/libc.so.6
#1  0x0000000000407f58 in launch (argc=<value optimized out>, _name=0x647018 "kio_fish",
    args=0x647087 "", cwd=0x0, envc=0, envs=0x647090 "", reset_env=false, tty=0x0,
    avoid_loops=false, startup_id_str=0x409fe9 "0")
    at /build/buildd/kdelibs-3.5.8.dfsg.1/./kinit/kinit.cpp:666
#2  0x0000000000408711 in handle_launcher_request (sock=8)
    at /build/buildd/kdelibs-3.5.8.dfsg.1/./kinit/kinit.cpp:1240
#3  0x0000000000408c2c in handle_requests (waitForPid=0)
    at /build/buildd/kdelibs-3.5.8.dfsg.1/./kinit/kinit.cpp:1443
#4  0x00000000004095a2 in main (argc=1, argv=<value optimized out>, envp=0x7fff117b8468)
    at /build/buildd/kdelibs-3.5.8.dfsg.1/./kinit/kinit.cpp:1908
#5  0x00002b5499f201c4 in __libc_start_main () from /lib/libc.so.6

HTH,
Comment 67 ed wiget 2008-01-08 03:34:32 UTC
I have been trying for weeks to get fish:// working on AMD64, sabayon linux running 2.6.22 kernel and now have it working....but what I did was rather odd and I don't understand how it could have caused fish:// to mysteriously start working.  It will work as long as I either open konqueror and manually type fish://address or from konsole as konqueror fish://address or even from a bookmarked fish://address, but if I use KDE_FORK_SLAVES=anything (true, false, 0, or 1) it never works.

The full article is on my homepage along with working and non-working konsole messages plus full system configs and kde versions with use flags (Way to much to post here):  http://www.edwiget.name/content/view/237/26/

The odd thing that caused all of this to mysteriously start working is I installed nxserver and nxclient.  I played around with both of them for a while today.  I grabbed a bite to eat and when I returned to my computer, I figured I would grab a few more konsole messages......fish:// worked the very first time and has numerous times since then.

If someone can review the article on my homepage and let me know what to provide to help with this, would be more than glad.  My other gentoo system is in the middle of the "Building gentoo for usable backtraces" page but I have many konsole messages posted on the site.
Comment 68 ed wiget 2008-01-08 03:54:38 UTC
oops, I also disabled xinerama use flag in gentoo/sabayon and recompiled all kde packages with that use flag disabled atthe same time I installed nxserver and nxclient....so now I am not sure which fixed the problem for me on amd64 running 2.6.22 - I updated the previous link to konsole messages with these changes.
Comment 69 Nicolas L. 2008-01-15 11:23:07 UTC
still valid on kde 3.5.8 for me.
Comment 70 Peter MOLNAR 2008-01-16 19:57:10 UTC
On KDE 3.5.8 (Debian Lenny), kernel 2.6.22, I have the same problem.

I've tried the "KDE_FORK_SLAVES=true" workaround, and then connecting to the remote computer using fish (in Krusdader, which invokes Kate, if I click "Edit" on a remote file)

It works a while, maybe 20-30 minutes, after that, it crashes the same way as before (signal 29). If I reconnect, it works again for 20-30 mins.

kioslave: ####### CRASH ###### protocol = fish pid = 5746 signal = 29

Anyone else experiencing same issue?
Comment 71 Raúl 2008-01-19 23:07:24 UTC
Just in case anyone hadn't noticed it, this also happen on 4.0.
Comment 72 Nicolas L. 2008-02-17 22:38:51 UTC
some test are still needed ?
Comment 73 Raúl 2008-02-18 00:34:42 UTC
Nicolas,
codebase for fish support is old and difficult to support, I think fish should be removed in favour of sftp://
Comment 74 Brian Knotts 2008-02-18 03:37:35 UTC
I disagree with the above comment. Fish is one of the best things about KDE.
Comment 75 Raúl 2008-02-18 11:11:04 UTC
Brian:

Well I agree that fish is quite useful, but being 4.0.1 released and same problems are appearing I think a decision should be taken, if a component is not in shape to be released it should be either fixed or left behind.

I'd like it to be maintained, but being the code as it is, I guess it should be rewritten mostly because so far I haven't found anyone willing to face that code.

I'm just telling that meanwhile using sftp kioslave is a good workaround.

Regards,
Comment 76 Tommi Tervo 2008-02-21 14:15:49 UTC
*** Bug 158157 has been marked as a duplicate of this bug. ***
Comment 77 gd2shoe 2008-02-28 05:05:40 UTC
I've had problems in the past with sftp (constantly asking for password; disconnecting during transfer; problem multiple client systems, same server).  I was very glad to find the fish:// kio slave.  I hope it doesn't go away unless something equally dependable becomes available (current crisis notwithstanding).

Right now I can't use either fish or sftp.  Fish will let me browse, but will die unexpectedly (with an information dialog box) whey I try to transfer most files (some work fine, not consistent).

sftp, on the other hand, always fails.  It displays it's error message directly in the Konqueror window.  So far, I've seen "The process for the sftp://172.16.0.200 protocol died unexpectedly." and "Authentication failed."  Each of these messages is accompanied by the following error output to the console 6 times (only in sftp, NOT fish):
ASSERT: "!icon.isEmpty()" in /tmp/buildd/kdebase-3.5.8.dfsg.1/./libkonq/konq_pixmapprovider.cc (81)

I do notice that this message refers to /tmp, as does the post above by Brian Knotts (also displayed 6 times; I think he was referring to fish, though).

I'm currently running Debian Lenny with kernel 2.6.22-3-686.  I have not yet tried the 2.6.18-6-686 kernel that I got before upgrading from Etch.

(two side notes:  I am running dual monitors with the nvidia binary blob and xinarama.  I have noticed at least two other people here use xinarama.  This is probably coincidence, but I'll let someone else decide that.  Also, I'm having trouble keeping the nvidia driver installed between boots.  I don't believe this is related, but I'm noting it here anyway).
Comment 78 Raúl 2008-02-28 20:14:08 UTC
@#77. Would you mind checking if that sftp problem is already reported?

If not, could you be so kind to report it?

Thanks.
Comment 79 Gian 2008-02-29 13:16:29 UTC
I agree that fish should not be removed. Not everyone has an sftp server. My OpenWRT router for instance uses dropbear, which does not have a built-in sftp server. Of course you could use dropbear with an external sftp server, but space is scarce on such devices, and I don't see a necessity for one.
Comment 80 Kusi 2008-03-02 20:36:44 UTC
bug confirmed on gentoo amd64, kde 3.5.8, kernel 2.6.23
sftp:// is working
Comment 81 gd2shoe 2008-03-03 02:44:54 UTC
I can confirm that using Debian Lenny with kernel 2.6.18-6-686 does not have this problem.  The problem I'm seeing does seem to be the same one.  sftp also seems to work now.

@#78, Raul: I cannot find an sftp version of what I saw.  That may simply mean that I missed it, or that I don't know what to ask the search engine.  As it had the same solution to this bug, I'm going to assume that they're closely related.  I'd rather not open a new bug report, but I will if I must.
Comment 82 Raúl 2008-03-05 20:25:11 UTC
@81: If you haven't found a bug report regarding the problem you have experienced, then you should open it. If it already exists, the maintainer will know and mark it as duplicated. This is better than mixing 2 bugs on the same bug report :)

But if I'm correct, kde3 has ended its cycle (long live to kde4), then you'd rather try to reproduce it on kde4 and if you find it report back in a separate bug report.

Thanks.
Comment 83 Zorro 2008-04-02 08:39:35 UTC
Maybe it's related to the libssl and libcrypto problems the FreeBSD guys were having with KDE?

http://freebsd.monkey.org/freebsd-current/200609/msg00460.html

Comment 84 heikki 2008-04-09 20:18:52 UTC
The problem seems not to be fixed with Debian/Lenny, kernel 2.6.24-1-amd64. At least sftp works (once I enabled it on my server too!). It even works in KOrganizer, so I can live with it.
Comment 85 erlguta 2008-05-11 12:25:22 UTC
Yes i can confirm the problem still exists in Debina/lenny kernel 2.6.24-1-686 and KDE 3.5.9.
I use dolphin and if i start:
KDE_FORK_SLAVES=true d3lphin
It works but it is very annoying to start dolphin in this way all the time and i can't live without fish://  :(

Come on guys is long time ago that this bug is open...
Comment 86 George Goldberg 2008-05-18 08:44:30 UTC
*** Bug 158457 has been marked as a duplicate of this bug. ***
Comment 87 Charly 2008-05-24 09:40:46 UTC
I've got the same problem, the protocol doesn't work on my system if logged in as normal user.

Linux Charly 2.6.24-1-amd64 #1 SMP Sat May 10 09:28:10 UTC 2008 x86_64 GNU/Linux and KDE 3.5.9

but...
always work if logged in as root!

is an issue of permits?
Comment 88 n3phr0n 2008-05-25 19:12:15 UTC
Thats not even a bit acceptable.. 

i do not permit the root-login on my systems, just a point of security..

SFTP is a good alternative, but its not chooseable in KDE 3.5.9 - Network Folder Wizard .. Fish is default since a loooong time. 

I would also prefer, to exchange fish to sftp.. Or (would be very nice) to activate the "recent connection"-option to choose sftp as the proto to use.. 
 
but by the way fish also doesn't work with

Linux BlueBox 2.6.24-gentoo-r8 #4 SMP Thu May 15 10:51:06 CEST 2008 x86_64 GNU/Linux and KDE 3.5.9


what ever

n3ph

Comment 89 David Faure 2008-06-06 14:49:39 UTC
Main problem is the lack of a kio_fish maintainer. SaroEngels (hmm, forgot his real name) is talking about writing a single ioslave with three backends: fish, sftp, and a new plink-based backend (which will make it work on windows too).
Comment 90 Jaromir Smrcek 2008-06-06 22:28:21 UTC
Now here comes something strange, yesterday fish:// worked. Today (after no changes whatsoever) connecting to serverX said "protocol died unexpectedly". But connecting to serverY worked! After closing the connection, I can't connect to any of the servers! What the hell? This can't be a problem of kernel or library when it starts randomly during the day can it?
Comment 91 Hans-Peter Jansen 2008-06-10 23:50:48 UTC
FWIW, I do suffer from this issue on a openSUSE 10.2/i386 system with KDE 3.5.9 from build service and a 2.6.25.4-8-pae kernel (the one from 11.0 rc1). Funny enough, the 11.0 rc1 test installation doesn't show this issue with KDE 3.5.9..

Resume: it is not a x86_64 problem, and chances are high, that the kernel is part of the problem. Smells like a unfortunate kernel/libc interaction, leading to this strange signal 29, I never encountered before (using linux since ages).
Comment 92 Axel Bergerhoff 2008-06-26 14:09:44 UTC
Something strange from me, too - but maybe helpful for one or another:

-System informations-
homebrewn x86_64 multilib running on mobo with two dual-core Opterons (2220)
kernel 2.6.23.13
glibc  2.7
gcc    4.2.3
kde    3.5.9

-The strange stuff-
Trying krusader-1.80.0 and 1.90.0:
Starting krusader the standard way
fish://root@[IP-address]          does not work
fish://root@[FQHN]                does not work
Starting krusader this way: KDE_FORK_SLAVES=true krusader
fish://root@[IP-address]          does not work
fish://root@[FQHN]                works fine the first time, i.e. when there
                                  is no host key on the local machine
Then close connection, trying
fish://root@[IP-address]          works
fish://root@[some other IP-address] works

Restarting krusader with above option:
fish://root@[FQHN]                does not work (there is a host key on the
                                  local machine now)
fish://root@[IP-Address]          does not work either
fish://root@[other FQHN]          does not work
fish://root@[third FQHN]          works at the first time

Deleting entries from known_hosts and restarting krusader with option seems
to work again and again.
Comment 93 Georg Grabler 2008-07-13 03:01:39 UTC
Hmh, still in kde4 beta1, using kernel 2.6.25 (ARCH Linux Kernel - most likely vanilla).

I installed the "nx-common" arch package now - since then i havn't had any problems. But I'll continue testing (I could not think on why this should fix this problem).
Comment 95 Toralf Förster 2008-07-30 15:33:29 UTC
Created attachment 26502 [details]
ssh stream v2.6.24

I'll attach 2 sniffed ssh streams for kernel 2.6.24 and 2.6.25 respectively.
The differences I observed are in packet #6 ("DH Base" has a value of "2"
versus "5") and packet #7 ("Multi Precision Interger Length" is "129" and "128"
respectively).
Comment 96 Toralf Förster 2008-07-30 15:34:46 UTC
Created attachment 26503 [details]
ssh stream v2.6.25
Comment 97 armin walland 2008-08-11 11:37:41 UTC
i noticed the same thing. it turned out to work when i deleted the ~/.ssh/known_hosts file. is it possible that multiple keys for the same host confuse kio? i only got this problem after regenerating the host keys after the debian openssl debacle.
Comment 98 Toralf Förster 2008-08-11 13:21:34 UTC
I made the experience that if I delete the (remote) .fishsrv.pl file, I can continue my work. I'll test your solution too.
Comment 99 Balázs Héder 2008-08-27 12:19:04 UTC
Hi,

Deleting ~/.kde/share/config/kdeglobals also helps.
I tried it with KDE 3.5.9
Comment 100 David Faure 2008-10-24 23:43:35 UTC
Albert, could this be the bug you fixed with r155591 ?
Comment 101 Albert Astals Cid 2008-10-24 23:55:55 UTC
Could this be a duplicate of bug 155591?

Well, for the KDE 4 users probably, but for the KDE 3 users i don't know, i never had this problem with KDE 3 and if you look at the different backtraces on the bug, people are getting crashes of the kioslave, the part of 155591 i fixed had nothing to do with the slave crashing, it just though the application had disconnected.

I could try to backport the change of bug 155591 to KDE 3 but i can't say it will fix anything.
Comment 102 Georg Grabler 2009-01-01 01:10:13 UTC
Not fixed (at least for me) for KDE4 users as well. I got that error lately at work (kernel 2.6.28), using 4.1.85 (beta2).

Kind regards,
Georg
Comment 103 Albert Astals Cid 2009-01-01 13:41:59 UTC
@Georg can you describe exactly what you do to get the problem?
Comment 104 Georg Grabler 2009-01-01 20:28:03 UTC
Not very hard in this case, open dolphin / konqueror (doesn't make any difference if i'm not mistaken in this kind, I just tried it in dolphin)

fish://tivp02s001.server.lan.at

that's all. I don't know what was fixed, but i can't reproduce this on all machines anymore (i had similar problem at home also, usin 4.1.86 here - no problems, also smb seems to be fixed).

I'm at work again on the 7th of january, i'll try to reproduce it there again (4.1.86 as well there now on my desktop which i installed to backtrace the proxy problem).

Kind regards,
GEorg
Comment 105 Toralf Förster 2009-01-01 21:50:32 UTC
(In reply to comment #104)
> Not very hard in this case
Great news, b/c this issue is one of the most nagging issues in my daily work. Unfortunately I can't give a reliable scenario to reproduce it.

OTOH 
>fish://tivp02s001.server.lan.at
seems not to be reachable, or ?
Comment 106 Georg Grabler 2009-01-01 22:12:23 UTC
That one will not be reachable for you ;-) .. this is a lan server.

Anyway, at work it is (was) always reproduceable for me. At home it always appeared to be random.
Strange was, that I had different results with different kernel versions, in example downgrading to 2.6.18 worked.

I now upgraded to 2.6.28, and i'm not too sure right now if i had 2.6.27 or 2.6.28 at work testing this.

As I said, I'll try to reproduce this and verify this as soon as i'm at work. I'm currently in vacations, and can't even verify this at home ;-).

Kind regards,
Georg 
Comment 107 Toralf Förster 2009-01-02 11:19:26 UTC
*** Bug 168595 has been marked as a duplicate of this bug. ***
Comment 108 Georg Grabler 2009-01-04 16:29:18 UTC
@The duplicate: I'm also testing at work against AIX5, probably there's a completely different problem.

Note for me: Test against Linux and AIX.
Comment 109 Georg Grabler 2009-01-05 14:22:27 UTC
Strange behaviour:
Reproduceable with KDE 4.1.86 using kernel 2.6.26 (vanilla).
Not reporduceable with KDE 4.1.86 using kernel 2.6.28 (vanilla)

Couldn't test with 2.6.27, since I don't have it around anymore, but I'd say it didn't work (since I had 2.6.27 installed for a long while when this was bugging me). I'd say it's fixed after all.

Quite strange, for me, with kde3, problems with fish were introduced with a kernel version, and for some reason it seems as if they're disappearing with 2.6.28 again.

Kind regards,
Georg
Comment 110 Toralf Förster 2009-01-05 15:33:44 UTC
I bet it's a race condition or a timing issue which likely can occure again with future kernels versions ... :-(
Comment 111 Albert Astals Cid 2009-01-05 21:38:03 UTC
The problem is it can't be easily worked to be fixed unless you have a failing system, and it works here.
Comment 112 Georg Grabler 2009-01-06 00:54:44 UTC
The bad one is, that i need to wait to get it failing somewhere. I don't think its useful to trace it with 2.6.26 anymore.

I've set up a script trying to get it failing today (i was at work in my vacation...), and want to look on wednesday if there even were fails with 2.6.28.
Comment 113 Thorsten Staerk 2009-01-07 08:41:46 UTC
In http://websvn.kde.org/?view=rev&revision=906635 I fix quite a different bug, bug http://bugs.kde.org/147948. The problem "fish protocol stalls unexpectedly" is now solved. All voters who ran into this problem, please checkout the latest version.
Comment 114 Toralf Förster 2009-01-07 09:53:32 UTC
(In reply to comment #113)
> In http://websvn.kde.org/?view=rev&revision=906635 I fix quite a different bug,
> bug http://bugs.kde.org/147948. The problem "fish protocol stalls unexpectedly"
> is now solved. All voters who ran into this problem, please checkout the latest
> version.
> 
I'm currently trying to create a patch file for 3.5.10 but it is not very easy for me. Please could you paste here the corresponding patch for the older KDE version too ?
Thx in advance. 
Comment 115 Thorsten Staerk 2009-01-07 10:18:53 UTC
Toralf, please tell me if your problem is about fish dieing or stalling or you do not know. I have the feeling this bug report has been hijacked.
Comment 116 Toralf Förster 2009-01-07 10:36:23 UTC
I got exactle the message as in comment #0
Comment 117 Thorsten Staerk 2009-01-09 16:53:41 UTC
My fix is repaired fish_kio stalling, not dieing. I thought you were mixing it up, sorry for that. 
Thoralf, I have the feeling you are on the right track, keep on trying!
Comment 118 Georg Grabler 2009-01-25 05:14:20 UTC
Toralf: Which version of KDE are you using? Any way we can get kio debugging information of that behaviour?

Kind regards,
Georg
Comment 119 Toralf Förster 2009-01-29 17:42:18 UTC
(In reply to comment #118)
> Any way we can get kio debugging
> information of that behaviour?
> 
Ern, what I have to do (under Gentoo) to deliver you with such inforamtions ?
Comment 120 Thorsten Staerk 2009-02-01 12:51:15 UTC
I wrote a test case to reproduce another fish bug. I got that fixed, but I cannot even reproduce this bug. Find the test case here: http://www.staerk.de/thorsten/index.php/147948#Testcase
Comment 121 Thorsten Staerk 2009-02-01 12:53:46 UTC
I can now reproduce:

1. install VMWare
2. install SUSE 10.2 x64 into a virtual machine
3. surf to fish://user@localhost => it works!
4. download kernel 2.6.22 from ftp.kernel.org
5. compile and install the kernel, boot it
6. surf to fish://user@localhost => protocol died unexpectedly

So the culprit can be having self-compiled kernels.
Comment 122 Toralf Förster 2009-02-01 14:36:09 UTC
(In reply to comment #118)
> Toralf: Which version of KDE are you using? Any way we can get kio debugging
> information of that behaviour?
> 
> Kind regards,
> Georg
> 

I use KDE 3.5.10, compiled the Gentoo package kde-base/kdebase-kioslaves-3.5.10-r1 with "debug" USE flag, started a ssh daemon (net-misc/openssh-5.1_p1-r1) within this user mode linux image :

n22_uml ~ # uname -a
Linux n22_uml 2.6.28 #1 Mon Dec 29 14:19:54 CET 2008 i686 UML User Mode Linux GNU/Linux

BTW my host system is a:

tfoerste@n22 ~ $ uname -a
Linux n22 2.6.27-gentoo-r8 #1 Tue Jan 20 17:07:46 CET 2009 i686 Intel(R) Pentium(R) M processor 1700MHz GenuineIntel GNU/Linux

added abookmakr to konqueror (fish://n22_uml/home/tfoerste) and got after clicking at it :

kio_fish: 132: *** Starting fish
kio_fish: 252: fishProtocol::fishProtocol()
kio_fish: 669: setHost @n22_uml
kio_fish: 1457: @@@@@@@@@ stat fish://n22_uml/home/tfoerste
kio_fish: 317: _______ emitting infoMessage(Verbindung wird aufgebaut ...)
kio_fish: 319: connecting to: tfoerste@n22_uml:0
kio_fish: 730: queueing: cmd=0['FISH'](0), alt=['echo; /bin/sh -c start_fish_server > /dev/null 2>/dev/null; perl .fishsrv.pl abcc4c517321c96aa2184bf291d3dcb7 2>/dev/null; perl -e '$|=1; print "### 100 transfer fish server\n"; while(<STDIN>) { last if /^__END__/; $code.=$_; } exit(eval($code));' 2>/dev/null;'], lines=1
kio_fish: 730: queueing: cmd=1['VER 0.0.3 copy append lscount lslinks lsmime exec stat'](0), alt=['echo 'VER 0.0.3 copy append lscount lslinks lsmime exec stat''], lines=1
kio_fish: 410: Exec: /usr/bin/ssh Port: 0 User: tfoerste
kioslave: ####### CRASH ###### protocol = fish pid = 25584 signal = 29


Within konqueror I got :

Beim Laden von fish://n22_uml/home/tfoerste ist folgender Fehler aufgetreten:
Der Prozess für das
 Protokoll fish://n22_uml
 wurde unerwartet beendet.
Comment 123 Albert Astals Cid 2009-02-01 16:09:51 UTC
@tstaerk: does that work with free VMWare version? If it fails with different kernels it actually seems a race condition that might or may not happen depending of other external conditions
Comment 124 Thorsten Staerk 2009-02-02 05:04:18 UTC
(In reply to comment #123)
> @tstaerk: does that work with free VMWare version? If it fails with different
> kernels it actually seems a race condition that might or may not happen
> depending of other external conditions
> 

yes, I use VMWare Server 2, but should work with any virtualization solution. And the problem is 100% reproducible for me (as soon as it is reproducible).
Comment 125 Toralf Förster 2009-02-02 11:11:21 UTC
(In reply to comment #124)
> And the problem is 100% reproducible for me (as soon as it is reproducible).
> 
As soon as it happens the only solution for me is to finish the current session.
Comment 126 Thorsten Staerk 2009-02-07 11:17:30 UTC
I have put several hours of research into this. I am testing in a virtual machine so I cannot break anything. I am logging in graphically as user and try to connect to fish://user@localhost. Even this fails in some cases, see below.
On the whole, the very old and very new kernels work, 2.6.21 does not work. This is why I think the problem is fixed with the latest kernels. With kernel 2.6.21, it does not work in 100% of the cases, with kernel 2.6.27, it works in 100% of the cases. If it does not work, I get the error message from comment #1.
I am using default settings.

Here is my list:

kernel              distro     result
2.6.18-suse x64     SUSE 10.2  works
2.6.18-vanilla x64  SUSE 10.2  works
2.6.20-vanilla x64  SUSE 10.2  works
2.6.21-vanilla x64  SUSE 10.2  breaks
2.6.22-vanilla x64  SUSE 10.2  breaks
2.6.27-suse x64     SUSE 11.1  works
2.6.27-vanilla x32  SUSE 11.1  works
2.6.27-vanilla x64  SUSE 11.1  works
Comment 127 Thorsten Staerk 2009-02-07 11:20:07 UTC
I set this bug to fixed. Should you run into this issue, upgrade to kernel 2.6.27. Should you still run into this issue with kernel 2.6.27, re-open this bug and attach the configuration of the running kernel (zcat /proc/config.gz>attachment.txt)
Comment 128 Toralf Förster 2009-02-07 11:42:30 UTC
Created attachment 31073 [details]
config file

WRT comment #122 I use 2.6.27.
Comment 129 Toralf Förster 2009-02-07 18:39:33 UTC
BTW it seems that I'm not allowed to re-open this bug ? :-(
Comment 130 Thorsten Staerk 2009-02-08 10:53:42 UTC
Toralf - I understand it works, and suddenly stops working and then you have to killall kio_fish, then it works again, correct?
Comment 131 Toralf Förster 2009-02-08 11:36:50 UTC
(In reply to comment #130)
> Toralf - I understand it works, and suddenly stops working and then you have to
> killall kio_fish, then it works again, correct?
> 
Yes, but my work around was to finish the KDE session and to start a new one.
Comment 132 Balázs Héder 2009-02-10 11:23:51 UTC
Hi,

I've just found an interesting behaviour:
If I get this error message I need to remove the following line from my
~/.kde/share/config/kdeglobals:

Trash[$e]=$HOME/Desktop/SzemĂŠtkosĂĄr/

(SzemĂŠtkosĂĄr is the hungarian name of trash bin with an unkown character coding.)

If I remove this line and log-out, log-in again into KDE, fish protocol continues working...
Comment 133 Thorsten Staerk 2009-02-11 06:00:06 UTC
Toralf, have a look at line 410 of http://websvn.kde.org/branches/KDE/3.5/kdebase/kioslave/fish/fish.cpp?annotate=645053. This is the last message you get from kio_fish before a SIGIO. Please add a line 
myDebug( << "I am still alive " << endl); 
as line 420, compile and look if this message is displayed. Then you will need to carry on below. Otherwise, carry on above. Sorry I cannot reproduce the error for kernel 2.6.27.

Having said this, the error search here is esoteric given the described behavior and the very general error message.
Comment 134 Toralf Förster 2009-02-12 15:54:57 UTC
Applying your suggested debug line today I got while accessing a remote dir (remote: AIX 5.3, local: 2.6.27-gentoo-r8) this :


kio_fish: 132: *** Starting fish
kio_fish: 252: fishProtocol::fishProtocol()
kio_fish: 670: setHost @129.39.159.207
kio_fish: 1458: @@@@@@@@@ stat fish://129.39.159.207/home/tfoerste
kio_fish: 317: _______ emitting infoMessage(Verbindung wird aufgebaut ...)
kio_fish: 319: connecting to: tfoerste@129.39.159.207:0
kio_fish: 731: queueing: cmd=0['FISH'](0), alt=['echo; /bin/sh -c start_fish_server > /dev/null 2>/dev/null; perl .fishsrv.pl abcc4c517321c96aa2184bf291d3dcb7 2>/dev/null; perl -e '$|=1; print "### 100 transfer fish server\n"; while(<STDIN>) { last if /^__END__/; $code.=$_; } exit(eval($code));' 2>/dev/null;'], lines=1
kio_fish: 731: queueing: cmd=1['VER 0.0.3 copy append lscount lslinks lsmime exec stat'](0), alt=['echo 'VER 0.0.3 copy append lscount lslinks lsmime exec stat''], lines=1

kio_fish: 410: Exec: /usr/bin/ssh Port: 0 User: tfoerste
kio_fish: 420: I am still alive
kio_fish: 420: I am still alive
kioslave: ####### CRASH ###### protocol = fish pid = 18059 signal = 29

So, what shall I do next ?
Comment 135 Toralf Förster 2009-02-12 16:00:01 UTC
BTW, after I removed the appropriate socket file, I could access that dir (w/o logoff + logon from KDE) :

tfoerste@n22 ~ $ ps -efla | grep kio
1 S tfoerste  5075  4879  0  80   0 -  6876 -      15:03 ?        00:00:00 kio_file [kdeinit] file /tmp/ksocket-tfoerste/klauncherV3gHTb.slav
1 S tfoerste 18166  4879  0  80   0 - 12171 -      15:53 ?        00:00:00 kio_pop3 [kdeinit] pop3s /tmp/ksocket-tfoerste/klauncherV3gHTb.sla
0 S tfoerste 18301 18071  0  80   0 -   938 -      15:57 pts/1    00:00:00 grep --colour=auto kio
tfoerste@n22 ~ $ rm /tmp/ksocket-tfoerste/klauncherV3gHTb.slave-socket

Comment 136 Thorsten Staerk 2009-02-12 16:12:39 UTC
Toralf, thanks a lot for your continuous work. As I cannot reproduce with kernel 2.6.27, next step for you is to find the line where the problem occurs. For that, add debugging lines
myDebug( << "alive 1" << endl);
and 
myDebug( << "alive 2" << endl);
to the lines 421 and more. You may use your common sense, in other words, it is your time (thanks for it) and you can set the debugging lines whereever you want.

In the end I want to see something like
myDebug( << "alive 23" << endl);
<some line>
myDebug( << "alive 24" << endl);
where alive 23 would be the last output. Then we are one step furter :)
Comment 137 Toralf Förster 2009-02-20 10:38:11 UTC
Created attachment 31487 [details]
kio debug output

Today I run into this issue - I'll attach both the patched fish.cpp file and the kio debug output.
Comment 138 Toralf Förster 2009-02-20 10:40:09 UTC
Created attachment 31488 [details]
patched fish.cpp

attached the patched fish.cpp file
Comment 139 Toralf Förster 2009-02-20 10:47:42 UTC
Created attachment 31489 [details]
logon window w/ 3 debug messages

the logon window - after I finished the KDE session and logged in again (b/c removing the socket files didn't solved the issue).
Comment 140 Thorsten Staerk 2009-02-20 20:21:47 UTC
If you look at http://websvn.kde.org/trunk/KDE/kdebase/runtime/kioslave/fish/fish.cpp?annotate=906635, line 1485 you see that I had to add an "else" (btw, to fix bug 147948). But I forgot to add the else as well on "pos 14" (meaning line 540 of http://websvn.kde.org/trunk/KDE/kdebase/runtime/kioslave/fish/fish.cpp?annotate=906635. So the fix would be to add the "else" here as well.
Comment 141 Thorsten Staerk 2009-02-20 20:26:35 UTC
As I cannot reproduce, Toralf, could you please add the else like this:

myDebug( << "I am here at pos 14 " << endl);
        if (FD_ISSET(childFd,&rfds)) {

becomes 

        else        if (FD_ISSET(childFd,&rfds)) {
myDebug( << "I am here at pos 14 " << endl);

and test if it works?
Comment 142 Toralf Förster 2009-02-26 13:48:18 UTC
Created attachment 31648 [details]
crash while copying 2 files

(In reply to comment #141)
> As I cannot reproduce, Toralf, could you please add the else like this:
> 
> myDebug( << "I am here at pos 14 " << endl);
>         if (FD_ISSET(childFd,&rfds)) {
> 
> becomes 
> 
>         else        if (FD_ISSET(childFd,&rfds)) {
> myDebug( << "I am here at pos 14 " << endl);
> 
> and test if it works?


attached is "grep kio ~/.xsession-errors > kio.txt" from a crash if I tried to copy 2 files from one remote dir to anther remote dir (both AIX).
FWIW the change from "if" to "else if" makes this issue less annoying b/c now it is possible to try it immediately again w/o login off and on into KDE and it works.
This behaviour was observed some days ago (unfortuanelty trace could not be given) wherfe a loign into a remote dir was succesful, the popup windows poped up for a short time but the next login try was ok.
Comment 143 Toralf Förster 2009-02-27 09:24:13 UTC
Created attachment 31669 [details]
crash while trying to access remote dir

This trace was made some minutes ago  after I waked up my system (syspended to disk yesterday evening at home) here at work (BTW changed network from DSL to LAN).
Comment 144 Thorsten Staerk 2009-02-28 12:02:38 UTC
SVN commit 933202 by tstaerk:

This sentence confused me, it made me think the file does not need to be
transferred. All in all I like this "pod" a lot!
CCBUGS:145123


 M  +1 -1      fish.cpp  
 M  +1 -2      fish.pl  


WebSVN link: http://websvn.kde.org/?view=rev&revision=933202
Comment 145 Toralf Förster 2009-03-03 13:11:21 UTC
FWIW it seems that the crash happens much more often if previously the checkbox to keep the password was marked.
But nevertheless adding the "else" to the code itself makes dealing with this issue much more comfortable b/c often it is sufficiant to close the konqueror und to start a new instance.
Comment 146 John Woods 2009-03-20 08:32:03 UTC
On Debian Lenny Official, which installed KDE 3.5.10, I got this error.
Sure there were other protocols to use. I wanted fish:// to work!

I was trying to log into my router... which has only a root account.
Something like fish://root@192.168.1.1 was supposed to work, and did on Sidux, and Kubuntu latest releases. Just not Debian Lenny. I could ssh in konsole just fine.

This was where I am trying to log in TO another computer using a different user id than my current login's. Root in this case. The strange thing is that I had never been prompted for a userid/password combination. It would just unexpectedly die.

The fix for me, was to remove ssh-agent. ssh-agent was apparently intercepting the login and doing so as my login account... instead of as root.

I could get as far as: 
fishProtocol slave(argv[2], argv[3]);
in gdb... but it would never come back from that line.
(I would have gotten further but I eventually figured out the ssh-agent interaction)

Iirc... gdb saw fishProtocol as a data type... 
and refused to step into that object creation, except in assembly language.
So there should be some more accurate notification of a failure to create the fishProtocol object needed. I admit... I am new to this in kde.

fish.cpp:153...
    if (qstrcmp(argv[1],"nxfish")==0) {
        // Set NXFish - Mode
        isNXFish=1;
    }

    fishProtocol slave(argv[2], argv[3]);
    slave.dispatchLoop();

    myDebug( << "*** fish Done" << endl);
    return 0;
Comment 147 Toralf Förster 2009-03-20 09:09:14 UTC
comment #146 is interesting wrt to my observation that if I do not check the ckeck box to store the password the issue seems to happen not so often than if I store the password for later reuse.
Comment 148 Sergiy Kudryk 2009-04-20 15:03:50 UTC
 At my work i extensively use fish protocol.

 During few days i can have no problems with fish - can login and 
browse/copy files to remote server. 

 Once i get this errors " .. protocol died unexpectedly" or "Could not connect to host .." to repair fish connectivity i have to delete sycoca files
(rm -f /var/tmp/kdecache-<user>/ksycoca*) and then again open 
fish session in restarted Konqueror (started with delay because ksysoca DB is rebuilded). 
 No KDE restart is needed. Hope this helps.

GNU/Linux (Debian Lenny, KDE 3.5.9)

P.S. This error occurs with all kernel versions i use before (incl. 2.6.18 and early)
Comment 149 Toralf Förster 2009-05-12 10:53:35 UTC
(In reply to comment #148)
i have to delete sycoca files
> (rm -f /var/tmp/kdecache-<user>/ksycoca*) and then again open 
> fish session in restarted Konqueror (started with delay because ksysoca DB is
> rebuilded). 
>  No KDE restart is needed. Hope this helps.
Not at my system, I have to logout and relogin :-(

FWIW the issue seems be related mostly to cases where I decided to store the password for later reuse. If I however do not mark the check box to save the password my system works fine (kernel 2.6.29.3 in the mean while).
Comment 150 rgpublic 2009-08-18 21:08:44 UTC
After a recent KDE upgrade to the latest KDE version on Kubuntu Jaunty my FISH connections didnt work any longer. I could not connect to any SSH server I tried. I finally found this bug here and the solution: Somehow ssh-agent was enabled with this update. I did not have this running before I think. Dont know why I need it anyway. Here is how to stop it:

sudo nano -w /etc/X11/Xsession.options

Uncomment the line: "use-ssh-agent" by putting a hash-sign (#) in front of it.
Save & Quit (Ctrl+O, Enter, Ctrl+X). After Reboot (or Restarting X-Server has been sufficient for me it seems) all fish connections started working immediately.
Comment 151 Rigo Wenning 2009-08-26 15:52:09 UTC
have had ssh-agent always enabled. Fish worked in intrepid kernel 2.6.27 with kde 4.1 and 4.2 (backports). Now updated to karmic 2.6.31, I'm hit by this bug. SFTP works. Laptop has still intrepid and fish from lap to desktop (karmic) works perfectly. Going the other way around, "Connection to Server Closed Unexpectedly". I have no log entries on desktop (karmic) and 3 successful logins reported in logfiles on laptop (intrepid). Removing ssh-agent did not solve the issue for me. I have a 100mb/s connection between the machines. All normal ssh operations work perfectly. (even export of xsession and the like)
I wonder if others distribs still have the same issue or whether this is just a regression of karmic as 2.6.27 works fine.
Comment 152 Toralf Förster 2009-10-19 10:09:18 UTC
FWIW it seems to happens if I log in into KDE before the network interface eth0 is up and has got a DHCP address.
Comment 153 Georg Grabler 2009-10-21 10:28:43 UTC
I'm only experiencing the problems connecting to solaris 10 or AIX 5.3 (couldn't test others).

I've definitely no problems connecting to linux boxes (tested with RHEL 5, Arch, Ubuntu).
Comment 154 Christoph Feck 2010-09-12 14:05:07 UTC
*** Bug 205763 has been marked as a duplicate of this bug. ***
Comment 155 Christoph Feck 2014-10-25 13:48:48 UTC
Is this bug still visible with recent KDE versions, such as 4.11.5 or newer?
Comment 156 José JORGE 2014-10-25 16:16:27 UTC
Lol, this bug is against KDE 3... fish does not exist anymore AFAIK...
Comment 157 Toralf Förster 2014-10-25 16:29:31 UTC
(In reply to José JORGE from comment #156)
> Lol, this bug is against KDE 3... fish does not exist anymore AFAIK...

wrong - works here in dolphin with 4.14.1 fine so far as I can see
Comment 158 Rigo Wenning 2014-10-25 16:52:10 UTC
(In reply to Christoph Feck from comment #155)
I do not have the bug in dolphin, but I just had it in konqueror while testing. When I hit reload, it works again. Version is 64bit opensuse 13.1 with 4.14.2 (Current: ) repos. And no, not has been, fish is still an essential tool for me